Skip to Content

In this blog, I am trying to accumulate all the relevant information one should consider in the planning phase for upgrading MSSQL database to 2012.

Supported Environments for Upgrade

Upgrades to products based on SAP NetWeaver 7.1 (including EhP1) and SAP NetWeaver 7.2 are not supported on SQL Server 2012.

Hence, if you plan to upgrade your SAP product based on SAP Netweaver 7.0 (including all EhPs ) on SQL Server 2012, you have to upgrade to a SAP product based on SAP NetWeaver 7.3 and higher.

SAP products prior to SAP NetWeaver 7.0 are not supported at all on SQL Server 2012.

SAP Application pre-requisites for upgrading to MSSQL 2012

Before upgrading any SAP system running on MSSQL (lower than SQL server 2012) to MSSQL 2012, SAP application needs to fulfill certain patch level pre-requisites.

Required minimum SAP Netweaver Support Package Stacks (SPSs) for SQL Server 2012

SAP NETWEAVER 7.0 – SPS 26 (SAP BASIS 26, SAP BW 28)

SAP EHP1 FOR SAP NETWEAVER 7.0 – SPS 11 (SAP BASIS 11, SAP BW 11)

SAP EHP2 FOR SAP NETWEAVER 7.0 – SPS 11 (SAP BASIS 11, SAP BW 11)

SAP EHP3 FOR SAP NETWEAVER 7.0 – SPS 03 (SAP BASIS 03, SAP BW 03)

SAP NETWEAVER 7.1 – SPS 14 (SAP BASIS SP14)

SAP EHP1 FOR SAP NETWEAVER 7.1 EhP1 – SPS 10(SAP BASIS SP10, SAP BW SP10)

SAP NetWeaver 7.2 – no restriction

SAP NETWEAVER 7.3 – SPS 07 (SAP BASIS 07, SAP BW 07)

SAP EHP1 FOR SAP NETWEAVER 7.3 – SPS 03 (SAP BASIS 03, SAP BW 03)

For BI Systems the SAP application pre-requisites are as follows

The minimum required SPSs are the same for SAP BW as for all other SAP NetWeaver products. However, SAP recommends the following newer SPSs when running SAP BW on SQL Server 2012:

SAP NETWEAVER 7.0 – SPS 27 (SAP BASIS 27, SAP BW 29)

SAP EHP1 FOR SAP NETWEAVER 7.0 – SPS 12 (SAP BASIS 12, SAP BW 12)

SAP EHP2 FOR SAP NETWEAVER 7.0 – SPS 12 (SAP BASIS 12, SAP BW 12)

SAP NETWEAVER 7.1 – SPS 14 (SAP BASIS SP14)

SAP EHP1 FOR SAP NETWEAVER 7.1 EhP1 – SPS 10(SAP BASIS SP10, SAP BW SP10)

SAP NetWeaver 7.2 – no restriction

SAP NETWEAVER 7.3 – SPS 08 (SAP BASIS 08, SAP BW 08)

SAP EHP1 FOR SAP NETWEAVER 7.3 – SPS 05 (SAP BASIS 05, SAP BW 05)

Note: If your system is running on a SPS lower than the one required above, you have to apply the minimum required SPS before upgrading/migrating to SQL Server 2012.

Platform support

The minimum OS release supported for running on SQL Server 2012 is Windows Server 2008. In particular, SP2 is required for Windows Server 2008, while SP1 is required for Windows Server 2008 R2.

In addition, SAP will only support SQL Server 2012 on x64 (also known as X86_64, AMD64, EMT64).Restrictions:  SAP will not support SQL Server 2012 on Windows IA64 or 32 bit.

Tool used to perform MSSQL 2012 upgrade

To complete the database upgrade, use the latest STM tool to finalize the configuration of your database (see SAP note 683447).
Run the SAP Tools for MS SQL Server on the central instance host. You have to use the SWPM for 7.3+ (SWPM.SAR, not 70SWPM.SAR) in all cases – even when you are performing the task for a SAP NetWeaver 7.0x system (e.g. SAP EHP4 for SAP ERP 6)

Reference Docs/ SAP notes while upgrading database to MSSQL 2012

Note 683447 – SAP Tools for MS SQL Server

Note 1651862 – Release planning for Microsoft SQL Server 2012

Note 1676665 – Setting up Microsoft SQL Server 2012

http://scn.sap.com/docs/DOC-29159

To report this post you need to login first.

5 Comments

You must be Logged on to comment or reply to a post.

Leave a Reply